| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WVAA2DBitMapGenerator Class Reference
General

Wiggles/Variable Area drawing on A2DBitMap. More...

`#include <array2dbitmapimpl.h>`

Inheritance diagram for WVAA2DBitMapGenerator:
[legend]

## Public Member Functions
| WVAA2DBitMapGenerator (const A2DBitMapInpData &, const A2DBitMapPosSetup &)
| ~WVAA2DBitMapGenerator ()
| mOD_DisableCopy (WVAA2DBitMapGenerator) WVAA2DBitMapGenPars &wvapars()
const WVAA2DBitMapGenPars & | wvapars () const
Public Member Functions inherited from A2DBitMapGenerator
virtual | ~A2DBitMapGenerator ()
A2DBitMap & | bitmap ()
const A2DBitMap & | bitmap () const
int | bitmapSize (int dim) const
const A2DBitMapInpData & | data () const
void | fill ()
const Interval< float > | getScaleRange () const
void | initBitMap ()
| mOD_DisableCopy (A2DBitMapGenerator) void setBitMap(A2DBitMap &)
A2DBitMapGenPars & | pars ()
const A2DBitMapGenPars & | pars () const
void | setPixSizes (int, int)
const A2DBitMapPosSetup & | setup () const

## Protected Member Functions
int | dim0SubSampling (int nrdisptrcs) const
void | doFill () override
void | drawTrace (int)
void | drawVal (int, int, float, float, float, float)
float | getDim0Offset (float val) const
Interval< int > | getDispTrcIdxs () const
WVAA2DBitMapGenPars & | gtPars () const
Protected Member Functions inherited from A2DBitMapGenerator
| A2DBitMapGenerator (const A2DBitMapInpData &, const A2DBitMapPosSetup &, A2DBitMapGenPars &)

## Protected Attributes
float | stripwidth_ = 1.f
Protected Attributes inherited from A2DBitMapGenerator
A2DBitMap * | bitmap_
const A2DBitMapInpData & | data_
float | dim0perpix_
const float * | dim0pos_
Interval< float > | dim0rg_
float | dim1perpix_
Interval< float > | dim1pos_
Interval< float > | dim1rg_
A2DBitMapGenPars & | pars_
Interval< float > | scalerg_
float | scalewidth_
const A2DBitMapPosSetup & | setup_
int | szdim0_
int | szdim1_

## Additional Inherited Members
Static Public Member Functions inherited from A2DBitMapGenerator
static void | initBitMap (A2DBitMap &)
| with cNoFill

## Detailed Description

Wiggles/Variable Area drawing on A2DBitMap.

<>

## Constructor & Destructor Documentation

## ◆ WVAA2DBitMapGenerator()

WVAA2DBitMapGenerator::WVAA2DBitMapGenerator | ( | const A2DBitMapInpData & | ,
|  | const A2DBitMapPosSetup & | )

## ◆ ~WVAA2DBitMapGenerator()

WVAA2DBitMapGenerator::~WVAA2DBitMapGenerator | ( |  | ) |

## Member Function Documentation

## ◆ dim0SubSampling()

int WVAA2DBitMapGenerator::dim0SubSampling | ( | int | nrdisptrcs | ) | const
| protected

## ◆ doFill()

void WVAA2DBitMapGenerator::doFill | ( |  | ) |
| override protected virtual

Implements A2DBitMapGenerator.

## ◆ drawTrace()

void WVAA2DBitMapGenerator::drawTrace | ( | int |  | ) |
| protected

## ◆ drawVal()

void WVAA2DBitMapGenerator::drawVal | ( | int | ,
|  | int | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | )
| protected

## ◆ getDim0Offset()

float WVAA2DBitMapGenerator::getDim0Offset | ( | float | val | ) | const
| protected

## ◆ getDispTrcIdxs()

Interval< int > WVAA2DBitMapGenerator::getDispTrcIdxs | ( |  | ) | const
| protected

## ◆ gtPars()

WVAA2DBitMapGenPars & WVAA2DBitMapGenerator::gtPars | ( |  | ) | const
| inline protected

## ◆ mOD_DisableCopy()

WVAA2DBitMapGenerator::mOD_DisableCopy | ( | WVAA2DBitMapGenerator |  | ) | &
| inline

## ◆ wvapars()

const WVAA2DBitMapGenPars & WVAA2DBitMapGenerator::wvapars | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ stripwidth_

float WVAA2DBitMapGenerator::stripwidth_ = 1.f
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025